mordisacks/laravel-i18n

I18n Wrapper for Laravel 5.

2.1.0 2017-03-08 22:43 UTC

This package is auto-updated.

Last update: 2020-09-24 21:51:55 UTC


README

This package is a Laravel wrapper for I18n

Installation

composer require mordisacks/laravel-i18n

After updating composer, add the service provider to the providers array in config/app.php

MordiSacks\LaravelI18n\I18nServiceProvider::class,

Usage

Set your default locale in app.php config

This package overrides blade @lang

So the following will work

<h1>@lang('Hello :name', 'default', ['name' => 'Mordi'])</h1>

Changelog 2.1.0

  • Updated to laravel 5.4